{"openapi":"3.1.0","info":{"title":"POST /api/v1/credit-memos/{credit_memo_id}/apply","version":"1.0.0","description":"Apply credit memo to invoice"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/credit-memos/{credit_memo_id}/apply":{"post":{"tags":["credit-memos"],"summary":"Apply credit memo to invoice","description":"Apply a portion or all of a credit memo to an invoice.","operationId":"apply_credit_memo_api_v1_credit_memos__credit_memo_id__apply_post","parameters":[{"name":"credit_memo_id","in":"path","required":true,"schema":{"type":"string","title":"Credit Memo Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditMemoApplicationCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditMemoApplicationResponse"}}}},"400":{"description":"Bad Request - Invalid input","content":{"application/json":{"example":{"detail":"Invalid request parameters"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"CreditMemoApplicationCreate":{"properties":{"invoice_id":{"type":"string","title":"Invoice Id","description":"Invoice to apply credit to"},"amount_cents":{"type":"integer","exclusiveMinimum":0.0,"title":"Amount Cents","description":"Amount to apply in cents"}},"type":"object","required":["invoice_id","amount_cents"],"title":"CreditMemoApplicationCreate","description":"Request schema for applying a credit memo to an invoice.","example":{"amount_cents":2500,"invoice_id":"019ab37c-inv2-7000-8000-000000000002"}},"CreditMemoApplicationResponse":{"properties":{"id":{"type":"string","title":"Id","description":"Application record ID"},"credit_memo_id":{"type":"string","title":"Credit Memo Id","description":"Source credit memo ID"},"invoice_id":{"type":"string","title":"Invoice Id","description":"Invoice the credit was applied to"},"amount_applied":{"type":"integer","title":"Amount Applied","description":"Amount applied in cents"},"amount_applied_dollars":{"type":"string","pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","title":"Amount Applied Dollars","description":"Amount applied in dollars"},"applied_at":{"type":"string","format":"date-time","title":"Applied At","description":"When the credit was applied"},"applied_by_user_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Applied By User Id","description":"User who applied the credit"}},"type":"object","required":["id","credit_memo_id","invoice_id","amount_applied","amount_applied_dollars","applied_at"],"title":"CreditMemoApplicationResponse","description":"Response schema for a credit memo application."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}